Subject: Re: Call Me Gitless

From: Paolo Bonzini <[email-masked]>
Date: Thu, 21 Aug 2008 16:15:49 +0200

Pascal Obry wrote:
> 
> For what it's worth, I have added this since I've been working with Git 
> on my aliases:
> 
> [alias]
>  staged = diff --cached
> 
> Since then I'm always running:
> 
>    $ git staged
> 
> This looks more intuitive to me and faster than typing:
> 
>    $ git diff --cached

You're probably right, but it means that basically you cannot have other 
"diff" aliases without having an exploding number of combinations.  For 
example I have

[alias]
         changes=diff --name-status -r

and I don't want to have staged-changes too. :-)

I used to think that the proposal I saw in another git frontend, which is:

	git diff --cached -->	git diff --staged
	git diff -->		git diff --unstaged
	git diff HEAD -->	git diff

was a good one, but it is actually not when you start thinking about 
what to do during a large merge with few conflicts.  In fact, even 
though I use the index almost exclusively when merging (*), I don't mind 
the few extra keystrokes.

(*) When not merging, I use "git commit -a" preceded by "git changes" 
(see above).  In all situations where I might get confused between what 
is in the index and what is not (for example when adding new files) I 
use "git citool".

Paolo